# 32/64bit spec-file
#
Name:		qtoctave
Summary:	QtOctave is a front-end for Octave
Version:	0.10.1
Release:	%mkrel 2
URL:		http://qtoctave.wordpress.com/
Source:		%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:	qt4-devel >= 4.6.0
BuildRequires:	cmake
BuildRequires:	gcc-c++
Requires:	octave >= 3.2.0

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for 
performing other numerical experiments using a language that is
mostly compatible with Matlab.

%prep
%setup -q

%build
%cmake -DCMAKE_SKIP_RPATH:STRING="ON"
%make

%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=QtOctave
Comment=GUI for GNU Octave
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Education;Science;Math;Qt;X-MandrivaLinux-MoreApplications-Education-Sciences;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus
mkdir /opt/qtoctave
ln -s /usr/share /opt/qtoctave/share
# add folder menus into user-accounts
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.qtoctave; done
for idx in $SYSUSERS
 do INP1= cp -rf /usr/share/qtoctave/menus /home/$idx/.qtoctave/; done
for idx in $SYSUSERS
 do INP1= chown -R $idx.`id -gn $idx` /home/$idx/.qtoctave; done
# put in skel for new users
mkdir -p /etc/skel/.qtoctave
cp -rf /usr/share/qtoctave/menus /etc/skel/.qtoctave/

%postun
%clean_menus
/bin/rm -fr /opt/qtoctave /etc/skel/.qtoctave
# let's not clean out the user settings, maybe they need it later
#for idx in $SYSUSERS
# do INP1= /bin/rm -fr /home/$idx/.qtoctave; done


%files
%defattr(-,root,root)
%doc readme.txt LICENSE_GPL.txt
%{_bindir}/%{name}
%{_bindir}/easy_plot
%{_bindir}/qtoctave-info-reader
%{_bindir}/qtjs
%{_bindir}/qtoctave_pkg
%{_bindir}/simplercs
%{_bindir}/xmlwidget
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%dir %{_docdir}/qtoctave-utils
%{_docdir}/qtoctave-utils/*

%changelog
* Fri Jul 15 2016 adrianomorselli <adrianomorselli> 0.10.1-2uplos2012
- rebuild

* Sat Feb 02 2013 pinoc <vogtpet at gmail.com> 0.10.1-2pclos2013
- fixed menu setup and show icons in gui

* Wed Jan 30 2013 pinoc <vogtpet at gmail.com> 0.10.1-1pclos2013
- 0.10.1

* Mon Aug 30 2010 Texstar <texstar at gmail.com> 0.9.1-2pclos2010
- convert source to tar.xz
- adjust menu for all desktops

* Thu Aug 26 2010 Chomp <chomptheman@gmail.com> 0.9.1-1pclos2010
- create
- added patch to fix qt version detection
